﻿.centered {
    position: fixed;
    top: 45%;
    left: 45%;
}

.img-round {
    -webkit-border-radius: 50%;
    border-radius: 50%;
}

.companyLogo {
    height: 45px;
    margin: 0;
}

@media only screen and (max-width:640px) {
    .nav-logo {
        /*display: none !important;        */
    }
}

.btn-google {
    color: white;
    background-color: #ea4335;
}

.quickBtn {
    position: fixed;
    width: 150px;
    height: 40px;
    bottom: 40px;
    right: 15px;
    background-image: linear-gradient(#e78048 10%, #dd4f05 90%);
    color: #FFF;
    border-radius: 10px;
    text-align: center;
    box-shadow: 2px 2px 3px #999;
    z-index: 10;
    border: none;
    transition: all .2s ease-in-out;
}

    .quickBtn:hover {
        transform: scale(1.05);
        color: white;
    }

.login-bg {
    background-color: #16162e;
    height: 98vh;
    z-index: -1;
}

.card-signin {
    z-index: 5;
    opacity: 0.9;
    margin-top: 10vh;
    margin-bottom: 10vh;
}

    .card-signin:hover {
        opacity: 1;
    }



@media only screen and (max-width:960px) {
    .login-img {
        width: 100%;
        z-index: 0;
    }
}

@media only screen and (min-width:960px) {
    .login-img {
        height: 40vh;
        z-index: 0;
    }
}

.AppText {
    font-family: Impact;
    text-shadow: 2px 2px black;
    margin-top: 0.5rem;
}

    .AppText sub {
        font-size: small;
        font-family: cursive;
        font-weight: lighter;
        background-color: #dd4f05;
    }

/* The Modal (background) */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 10; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content */
.modal-content {
    position: relative;
    background-color: #fefefe;
    margin: auto;
    padding: 0;
    border: 1px solid #888;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
    -webkit-animation-name: animatetop;
    -webkit-animation-duration: 0.4s;
    animation-name: animatetop;
    animation-duration: 0.4s
}

.modal-dialog {
    max-width: 100vw;
}

/* Add Animation */
@-webkit-keyframes animatetop {
    from {
        top: -300px;
        opacity: 0
    }

    to {
        top: 0;
        opacity: 1
    }
}

@keyframes animatetop {
    from {
        top: -300px;
        opacity: 0
    }

    to {
        top: 0;
        opacity: 1
    }
}

/* The Close Button */
.close {
    color: white;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

    .close:hover,
    .close:focus {
        color: #000;
        text-decoration: none;
        cursor: pointer;
    }

.modal-header {
    padding: 2px 16px;
    background-color: #dd4f05;
    color: white;
}

.modal-body {
    padding: 2px 16px;
}

.modal-footer {
    padding: 2px 16px;
    background-color: #dd4f05;
    color: white;
}

.machineListThumbnail {
    vertical-align: middle;
}

    .machineListThumbnail img {
        max-height: 220px;
    }

        .machineListThumbnail img:hover {
            position: relative;
            width: auto;
            height: 220px;
            z-index: 999;
        }

.machineListCardItem {
    background: #ffffffd9;
}

@media only screen and (min-width:720px) {
    .MachineListCard {
        min-height: 480px;
    }
}

.text-link {
    color: black;
    text-decoration: none;
}

    .text-link:hover {
        text-decoration: underline;
    }

@media only screen and (max-width:1000px) {
    .table-container {
        overflow-x: scroll;
    }
}

.country-code {
    color: white;
    padding: 0.3rem;
    font-size: 0.9em;
    border-color: gray;
    font-weight: 500;
    border: 1px solid #cecbcb;
}

    .country-code.review {
        background-image: linear-gradient(#a7a5a5 10%, #191919 90%)
    }

    .country-code.ready {
        background-image: linear-gradient(#55e760 10%, #068011 90%);
    }

    .country-code.sold {
        background-image: linear-gradient(#51baeb 10%, #2534a3 90%);
    }

.dt-buttons {
    position: relative;
    display: inline-block;
}

.dt-button-collection {
    display: list-item;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    padding: 12px 16px;
    z-index: 1;
}

    .dt-button-collection:hover .dt-button-collection-content {
        display: block;
    }

th {
    padding-left: 8px !important;
}

.image-checkbox {
    cursor: pointer;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    border: 4px outset;
    border-color: #b8b8b82b;
    outline: 0;
}

    .image-checkbox:hover {
        box-shadow: 3px 3px 6px rgba(70, 70, 70, 0.8);
    }

    .image-checkbox input[type="checkbox"] {
        display: none;
    }

.image-checkbox-checked {
    border-color: #f58723;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazored-custom-modal {
    display: flex;
    flex-direction: column;
    width: 60vw;
    height: 60vh;
    background-color: #fafafa;
    border-radius: 12px;
    border: 1px solid #fff;
    padding: 0.5rem;
    z-index: 102;
    box-shadow: 0 2px 2px rgba(0,0,0,.75);
}

.blazored-prompt-modal {
    display: flex;
    flex-direction: column;
    width: 600px;
    background-color: #fefefe;
    border-radius: 4px;
    border: 1px solid #fff;
    padding: 0.5rem;
    z-index: 102;
    box-shadow: 0 2px 2px rgba(0,0,0,.75);
}

    .blazored-prompt-modal .blazored-modal-header {
        display: none;
    }

.liquid-modal-dialog-container {
    margin-left: -15px;
    margin-right: -15px;
}

.liquid-modal-dialog-header {
    padding: 0 !important;
}

.liquid-modal-dialog-title {
    font-size: 1.5rem;
    text-wrap: normal;
}

.liquid-modal-dialog-wrapper {
    margin-top: -15vh;
}

.liquid-modal-dialog {
    padding-bottom: 0.4rem !important;
}

.template-panel:hover {
    -webkit-box-shadow: 0 0 15px #636566;
    box-shadow: 0px 0px 15px #636566;
}

.drag-drop-zone {
    border: 3px dashed #e68710;
    padding: 5rem;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #eee;
    box-shadow: inset 0 0 8px rgba(0,0,0,0.2);
    color: #aeaeae;
    font-size: 1.5rem;
    cursor: pointer;
    position: relative;
}

    .drag-drop-zone.has-photo {
        border: 3px dashed #05af0a;
    }

    .drag-drop-zone.selected-photo {
        border: 3px dashed #05abca;
    }

    .drag-drop-zone:hover {
        background-color: #f5f5f5;
    }

    .drag-drop-zone input[type=file] {
        position: absolute;
        width: 100%;
        height: 100%;
        opacity: 0;
        cursor: pointer;
    }

    .drag-drop-zone img {
        width: 100%;
        height: 100%;
        max-height: 400px;
    }

.bottom-icon {
    position: absolute;
    bottom: 10px;
    right: 1rem;
}

div.sticky-bottom {
    position: -webkit-sticky;
    position: sticky;
    bottom: 0;
    padding: 50px;
}

.loader-overlay {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background-color: white;
    opacity: 0.8;
}

.list-card-item {
    cursor: pointer;
}

    .list-card-item.selected {
        border-color: #17a2b8;
        border-width: 2px;
    }

    .list-card-item:hover {
        box-shadow: 0px 0px 15px #636566;
    }

@media only screen and (min-width:990px) {
    .img-preview-small {
        max-height: 100px !important;
    }

    .img-preview-large {
        max-height: 60vh !important;
    }
}

@media only screen and (max-width:990px) {
    .img-preview-small {
        max-height: 150px !important;
    }

    .img-preview-large {
        max-height: 50vh !important;
    }
}

@media only screen and (max-width:640px) {
    .img-preview-small {
        max-height: 100px !important;
    }

    .img-preview-large {
        max-height: 40vh !important;
    }
}

.img-preview {
    max-width: 100%;
    width: auto;
    max-height: 30vh;
    position: relative;
    /*top: 50%;
        transform: translateY(-50%);*/
}

.img-preview-box {
    box-shadow: 1px 1px 5px;
    background-color: #000000b8;
}

.img-button {
    position: absolute;
    opacity: 0.8;
    background-color: white;
}

.btn-disabled-text {
    color: #9c9c9c;
    cursor: default;
}

    .btn-disabled-text:hover {
        color: #9c9c9c;
    }


.info-box {
    display: block;
    min-height: 83px;
    background: #fff;
    width: 100%;
    box-shadow: 0 5px 15px rgba(0,0,0,0.1);
    border-radius: 2px;
    margin-bottom: 15px;
    border: 1px solid #e1e1e1;
}

.info-box-icon {
    border-top-left-radius: 2px;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 2px;
    display: block;
    float: left;
    height: 82px;
    width: 92px;
    text-align: center;
    font-size: 40px;
    line-height: 80px;
    background: rgba(0,0,0,0.2);
}

.info-box-content {
    padding: 5px 10px;
    text-align: left;
}

.info-box-title {
    font-size: 1rem;
}

.info-box-number {
    display: block;
    font-weight: 500;
    font-size: 1.5rem;
}

.bg-orange {
    background-color: #e78007;
}

.table-hover {
    cursor: pointer;
}

.circle {
    background-color: #d0cece;
    border-radius: 50%;
}

.circle-success {
    background-color: #2fa43b;
    box-shadow: 0 0 5px 4px #2fa43b2e;
}

.publish-indicator-icon {
    height: 0.8rem;
    width: 0.8rem;
    margin-top: 0.3rem;
}

.tabulator-header-filter input {
    font-size: medium;
    padding: 0px;
    border: 1px solid #808080;
}

table tbody tr:hover {
    cursor: pointer;
}
